

<html>
<head>
<title>Напоминалка по событиям на PHP</title>
<meta http-equiv=”Content-Type” content=”text/html; charset=windows-1251?>
<body>



<? 

/* Этот скрипт получает переменные из change.php */ 

/* Переменные для соединения с базой данных */ 
$hostname = "localhost";
$username = "user";
$password = "password";
$dbName = "database";






$userstable = "usvers"; 

/* создать соединение */ 
mysql_connect($hostname,$username,$password) OR DIE("Не могу создать соединение "); 
/* выбрать базу данных. Если произойдет ошибка - вывести ее */ 
mysql_select_db($dbName) or die(mysql_error());  


$query = "SELECT * FROM $userstable WHERE name = '".$name."' and adres = '".$pass."'  "; 
$res = mysql_query($query) or die(mysql_error()); 

$name = mysql_real_escape_string($name);
$adres = mysql_real_escape_string($adres);

$number1 = mysql_num_rows($res); 

//$number1 = 1;


if ($number1 == 0) { 


echo 'Пользователь '.$name." не найден либо пароль не верен!<BR><BR>";


} else { 






/* Таблица MySQL, в которой хранятся данные */ 



/* создать соединение */ 
mysql_connect($hostname,$username,$password) OR DIE("Не могу создать соединение "); 
/* выбрать базу данных. Если произойдет ошибка - вывести ее */ 
mysql_select_db($dbName) or die(mysql_error());  

$name = mysql_real_escape_string($name);
$asobit = mysql_real_escape_string($asobit);
$aopsobit = mysql_real_escape_string($aopsobit);
$akogda = mysql_real_escape_string($akogda);



/* Таблица MySQL, в которой хранятся данные */ 
$userstable = "sobbit"; 


/* создать соединение */ 
mysql_connect($hostname,$username,$password) OR DIE("Не могу создать соединение "); 
/* выбрать базу данных. Если произойдет ошибка - вывести ее */ 
mysql_select_db($dbName) or die(mysql_error());  


/* составить запрос для изменения информации в таблице */ 
$query = "UPDATE $userstable SET sobit='".$asobit."',opsobit='".$aopsobit."',kogda='".$akogda."' WHERE nn=$ann"; 
/* Выполнить запрос. Если произойдет ошибка - вывести ее. */ 
mysql_query($query) or die(mysql_error()); 
echo "Информация о событии изменена."; 
?> 


<P> 
<P> 


<? 

echo 'Записи пользователя '.$name."<BR><BR>";


/* создать соединение */ 
mysql_connect($hostname,$username,$password) OR DIE("Не могу создать соединение "); 
/* выбрать базу данных. Если произойдет ошибка - вывести ее */ 
mysql_select_db($dbName) or die(mysql_error());  

$query = "SELECT * FROM $userstable WHERE usver = '".$name."' "; 
//$query = "SELECT * FROM $userstable"; 
$res = mysql_query($query) or die(mysql_error()); 


  while ($row=mysql_fetch_array($res)) { 
    echo $row['sobit'].' '.$row['opsobit'].' '.$row['kogda'];

echo '<FORM ACTION="change.php" METHOD="POST">';
echo '<INPUT TYPE="hidden" NAME="ann" VALUE="'.$row['nn'].'" SIZE="1" MAXLENGTH="240">'; 
echo '<INPUT TYPE="hidden" NAME="asobit" VALUE="'.$row['sobit'].'" SIZE="1" MAXLENGTH="240">'; 
echo '<textarea cols="50" rows="10" name="aopsobit" id="contact_text" class="inputbox" hidden>'.$row['opsobit'].'</textarea>';
echo '<INPUT TYPE="hidden" NAME="akogda" VALUE="'.$row['kogda'].'" SIZE="1" MAXLENGTH="240">'; 
echo '<INPUT TYPE="hidden" NAME="name" VALUE="'.$name.'" SIZE="1" MAXLENGTH="240">'; 
echo '<INPUT TYPE="hidden" NAME="pass" VALUE="'.$pass.'" SIZE="1" MAXLENGTH="240"><INPUT TYPE="submit" VALUE="Изменить!"></FORM>'; 
    echo "<BR>";

  } 





echo '<P><center><TABLE WIDTH = 400><TR><TD align = right><FORM ACTION="seeadd.php" METHOD="POST">Событие:<BR> <INPUT TYPE="text" NAME="asobit" SIZE="30" MAXLENGTH="240"><P>';
echo 'Описание события:<BR><textarea cols="50" rows="10" name="aopsobit" id="contact_text" class="inputbox"></textarea>';
echo '<P>Когда произошло:<BR> <INPUT TYPE="text" NAME="akogda" SIZE="20" MAXLENGTH="19"><P><INPUT TYPE="hidden" NAME="name" VALUE="'.$name.'" SIZE="30" MAXLENGTH="240"><P>'; 
echo '<INPUT TYPE="hidden" NAME="pass" VALUE="'.$pass.'" SIZE="30" MAXLENGTH="240"><P><INPUT TYPE="submit" VALUE="Добавить!"></FORM></TD></TR></TABLE></CENTER>'; 




} 


/* Закрыть соединение */ 
mysql_close(); 
?> 









</center>
</body>
</html>



